#ifndef DBCRS_H
#define DBCRS_H

#include <stdio.h>
#include "../SRC/aliast.h"

class csec    // cross-section class
{
  public :
   crsectypet type;
   long nprop;   // number of indeces
   char **prop;  // array of strings with cross-section properties (cross-section indeces)
   long *propu;  // array indicators of indeces which are used
   long *ridx;   // array with renumbered used indeces
   long npropu;  // counter used indeces this cross-section type

   csec(void);
   ~csec(void);
   long read(FILE *in); // reading cross-section
};

class dbcrs // cross-section database class
{
  public :
   long numt; // number of cross-section entries
   csec *crs; // array with cross-sections

   dbcrs(void);
   ~dbcrs(void);
   long search_crs(crsectypet ce, long ci);
   // searching cross-section with given type and index
};

#endif
