#ifndef EDGET_H
#define EDGET_H

#include <stdio.h>
#include "aliast.h"
#include "iotools.h"

/**
   class edget defines general edge for transport problems
*/

class edget
{
 public:
  edget (void);
  ~edget (void);
  void init (long edid);
  void compute_jump (long edid);
  void compute_node_jump (long edid, long nodid,long lcid,double ncf);

  ///  material types
  mattypet *tm1,*tm2;
  ///  material id
  long *idm1,*idm2;
  
  ///  jumps in nodal values at first nodes on edge
  double *jumpfn;
  ///  jumps in nodal values at last nodes on edge
  double *jumpln;

};

#endif
